# DXC Industrialized AI Starter

This __DXC Industrialized AI Starter__ is a python library which is extensively developed and can be used for all AI projects. This library is an open source , using this library  makes it easier to build and deploy a machine-learning microservice. 
It installs all the required library dependencies, builds a model, deploys a microservice, and publishes an API endpoint to the microservice.

  
## Requirements/Pre-requisites:

Requires [python 3.7](https://www.python.org/downloads/) and above to be installed in the system in order to use the above library.

## Installation Guide:

In order to install and use above library please use the below code snippet:

```
1. pip install DXC-Industrialized-AI-Starter
2. from dxc import ai
```
To know usage and to get started click [here](https://github.com/dxc-technology/DXC-Industrialized-AI-Starter/blob/master/Getting%20Started.md)

## Project structure:

```
dxc
  |-- ai
```

## License

DXC Industrialized AI Starter License [here](https://github.com/dxc-technology/DXC-Industrialized-AI-Starter/blob/master/LICENSE)

## Notebook
Click [here](https://colab.research.google.com/drive/1EV_Q09B-bppGbEehBgCvsv_JIM87T_n1) to access the DXC_AI_Starter reference Notebook.

## Future Plans
In future, we plan to provide detail documantion with few examples about the functions used in this library and add much more useful functions for AI related functions.

## How to Get Help
If you want to help improve DXC Industrialized AI Starter directly we have a fairly detailed [CONTRIBUTING guide](https://github.com/dxc-technology/DXC-Industrialized-AI-Starter/blob/master/CONTRIBUTING.md) in the repository that you can use to understand how code gets into the system, how the project runs, and how to make changes yourself.

## Reporting Issues
If you find any issues, feel free to report them [here](https://github.com/dxc-technology/DXC-Industrialized-AI-Starter/issues) with clear description of your issue.
